---
filename: /packages/material-ui/src/TabScrollButton/TabScrollButton.js
---

<!--- This documentation is automatically generated, do not try to edit it. -->

# TabScrollButton API

<p class="description">The API documentation of the TabScrollButton React component. Learn more about the props and the CSS customization points.</p>

## Import

```js
import TabScrollButton from '@material-ui/core/TabScrollButton';
// or
import { TabScrollButton } from '@material-ui/core';
```

You can learn more about the difference by [reading this guide](/guides/minimizing-bundle-size/).



## Component name

The `MuiTabScrollButton` name can be used for providing [default props](/customization/globals/#default-props) or [style overrides](/customization/globals/#css) at the theme level.

## Props

| Name | Type | Default | Description |
|:-----|:-----|:--------|:------------|
| <span class="prop-name">children</span> | <span class="prop-type">node</span> |  | The content of the component. |
| <span class="prop-name">classes</span> | <span class="prop-type">object</span> |  | Override or extend the styles applied to the component. See [CSS API](#css) below for more details. |
| <span class="prop-name required">direction<abbr title="required">*</abbr></span> | <span class="prop-type">'left'<br>&#124;&nbsp;'right'</span> |  | Which direction should the button indicate? |
| <span class="prop-name">disabled</span> | <span class="prop-type">bool</span> |  | If `true`, the element will be disabled. |
| <span class="prop-name required">orientation<abbr title="required">*</abbr></span> | <span class="prop-type">'horizontal'<br>&#124;&nbsp;'vertical'</span> |  | The tabs orientation (layout flow direction). |

The `ref` is forwarded to the root element.

Any other props supplied will be provided to the root element (native element).

## CSS

| Rule name | Global class | Description |
|:-----|:-------------|:------------|
| <span class="prop-name">root</span> | <span class="prop-name">.MuiTabScrollButton-root</span> | Styles applied to the root element.
| <span class="prop-name">vertical</span> | <span class="prop-name">.MuiTabScrollButton-vertical</span> | Styles applied to the root element if `orientation="vertical"`.
| <span class="prop-name">disabled</span> | <span class="prop-name">.Mui-disabled</span> | Pseudo-class applied to the root element if `disabled={true}`.

You can override the style of the component thanks to one of these customization points:

- With a rule name of the [`classes` object prop](/customization/components/#overriding-styles-with-classes).
- With a [global class name](/customization/components/#overriding-styles-with-global-class-names).
- With a theme and an [`overrides` property](/customization/globals/#css).

If that's not sufficient, you can check the [implementation of the component](https://github.com/mui-org/material-ui/blob/master/packages/material-ui/src/TabScrollButton/TabScrollButton.js) for more detail.

## Demos

- [Tabs](/components/tabs/)

