# 学习使用 Material-UI

<p class="description">您是第一次接触 Material-UI 吗? 如果你知道从哪里开始，就很容易学会！ 而接下来的教程将帮助你快速入门。</p>

学习 Material-UI 的开发者来自于不同的背景，也使用着不同的学习方法。 无论您是更偏向理论还是实践的学习方法，我们都希望本节对您有所帮助。 与任何新技术一样，Material-UI 的确有一个学习曲线。 有了练习和耐心，你很快就会掌握其中的诀窍。

## 第一个例子

您可以在 [用法页面](/getting-started/usage/#quick-start) 找到一个带有实时编辑器的小小的 Material-UI 示例。 即使您还不了解有关 Material-UI 的任何信息，请尝试改变代码并看一下它对结果的影响。

## 范例项目

我们托管了 [一些范例项目](/getting-started/example-projects/)，他们都提供了开发和部署一个 React 网站所必须的架构。

## 模板

我们提供了一些 [基本模板的选项](/getting-started/templates/) 来帮助您开始开发应用程序。

## 推荐资源

首次学习 Material-UI 时，您可能会发现一些第三方博客文章，书籍和视频课程反而会比官方文档更有帮助。 以下是一些推荐资源，其中一些是免费的。

### 免费的资源

- **Introduction to Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [The videos](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Customize Material-UI for your project**: a look at how you can customize Material-UI to align with your company identity (design system) and products 
  - 📹 [The videos](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI. 
  - 📝 [The blog post](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- **Learn React & Material-UI**: a series of videos covering all the important Material-UI components. 
  - 📹 [The videos](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- **Getting Started With Material-UI For React**: a blog post that guides you in building a simple card list. 
  - 📝 [The blog post](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [The video](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts. 
  - 📝 [The blog post](https://alligator.io/react/material-ui/)

### 付费的资源

- **Implement high fidelity designs**: Bridge the gap between Design & Development. Break down detailed designs and bring them to life with Material-UI and React.
  
  - 💻 [The Course](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)
- **Apply Google Material Design**: This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.
  
  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)
- **Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  
  - 📘 [The book](https://www.amazon.com/gp/product/1789615224/)

[![参考手册](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript web application from scratch, using a Modern JavaScript stack and Material-UI. 
  - 📘 [The book](https://builderbook.org/book)